package ink.wgink.module.map.pojo.dtos.grid;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: GridRelationDTO
 * @Description: 网格关联
 * @Author: WangGeng
 * @Date: 2020/10/21 12:11
 * @Version: 1.0
 **/
@ApiModel
public class GridRelationDTO implements Serializable {

    private static final long serialVersionUID = 9159203095930603288L;
    @ApiModelProperty(name = "gridId", value = "网格ID")
    private String gridId;
    @ApiModelProperty(name = "relationId", value = "关联ID")
    private String relationId;
    @ApiModelProperty(name = "gmtCreate", value = "添加时间")
    private String gmtCreate;

    public String getGridId() {
        return gridId == null ? "" : gridId.trim();
    }

    public void setGridId(String gridId) {
        this.gridId = gridId;
    }

    public String getRelationId() {
        return relationId == null ? "" : relationId.trim();
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"gridId\":\"")
                .append(gridId).append('\"');
        sb.append(",\"relationId\":\"")
                .append(relationId).append('\"');
        sb.append(",\"gmtCreate\":\"")
                .append(gmtCreate).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
